Track coins monitored and traded by key opinion leaders (KOLs)
curl --request GET \
--url https://advanced-api-v2.pump.fun/coins/kolscan{
"data": [
{
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"kolActivity": {
"mentions": 123,
"trades": 123,
"sentiment": "<string>"
},
"trendingScore": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/BankkRoll/pumpfun-apis/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header:
Authorization: Bearer <your_token>
GET https://advanced-api-v2.pump.fun/coins/kolscan
Show KOL Coin Object
curl -X GET "https://advanced-api-v2.pump.fun/coins/kolscan" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json"
<your_token> with your actual JWT tokencurl --request GET \
--url https://advanced-api-v2.pump.fun/coins/kolscan{
"data": [
{
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"kolActivity": {
"mentions": 123,
"trades": 123,
"sentiment": "<string>"
},
"trendingScore": 123
}
]
}